%define year		2000
%define month		03
%define day		06
%define version		%year.%month.%day
%define clisp_build	build

Summary:      Common Lisp (ANSI CL) implementation
Name:         clisp
Version:      %version
Release:      3mdk
Icon:         clisp.gif
Copyright:    GPL
Group:        Development/Other

Source:       ftp://seagull.cdrom.com/pub/lisp/clisp/source/clisp-%year-%month-%day.tar.bz2

URL:          http://clisp.cons.org/
Provides:     ansi-cl
BuildRoot:    %{_tmppath}/%name-%version-root

%description
Common Lisp is a high-level, all-purpose programming language.

CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe University
and Michael Stoll of Munich University, both in Germany.

It mostly supports Common Lisp as described in the ANSI CL standard. It runs on
microcomputers (DOS, OS/2, Windows NT, Windows 95, Amiga 500-4000, Acorn RISC
PC) as well as on Unix workstations (Linux, SVR4, Sun4, DEC Alpha OSF, HP-UX,
NeXTstep, SGI, AIX, Sun3 and others) and needs only 2 MB of RAM.

It is free software and may be distributed under the terms of GNU GPL, while it
is possible to distribute commercial applications compiled with CLISP.

The user interface comes in German, English, French and Spanish. CLISP includes
an interpreter, a compiler, a large subset of CLOS, a foreign language interface
and a socket interface.

An X11 interface is available through CLX and Garnet.


%prep

%setup -n %{name}-%{year}-%{month}-%{day}

# Yes, it's very uggly but I have not time to do better. Packager, you are
# welcome to do better

# Original steps don't follow Install guide.
%ifnarch ppc
%build
CFLAGS="%optflags"
./configure --prefix=/usr --fsstnd=redhat --with-module=wildcard \
    --with-module=regexp --with-module=bindings/linuxlibc6 \
    --with-module=clx/new-clx --with-module=postgresql642 \
    --with-export-syscalls --build %{clisp_build}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_libdir


(
cd build ;
make install_root=$RPM_BUILD_ROOT mandir=%{_mandir} install
)

%{find_lang} %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/clisp
%{_libdir}/clisp
%doc ANNOUNCE COPYRIGHT GNU-GPL INSTALL SUMMARY
%doc build/CLOS-guide.txt build/clisp.html build/readline.dvi
%doc build/LISP-tutorial.txt build/editors.txt build/README
%doc build/clreadline.dvi build/impnotes.html build/clisp.gif
%doc build/clreadline.html
%{_mandir}/*/*
%endif

# Build for PPC following Install guide
%ifarch ppc
%build
./configure --prefix=%_prefix
cd src
./makemake --with-readline --with-gettext > Makefile
make config.lsp
%make CFLAGS="$RPM_OPT_FLAGS -DUNICODE"
%make check
%make testsuite

%install
mkdir -p $RPM_BUILD_ROOT

cd src
make install prefix=$RPM_BUILD_ROOT%_prefix

mkdir -p $RPM_BUILD_ROOT%_mandir
mv $RPM_BUILD_ROOT%_prefix/man/* $RPM_BUILD_ROOT%_mandir
rm -fr $RPM_BUILD_ROOT%_prefix/man

mkdir -p $RPM_BUILD_ROOT%_docdir/%name
mv $RPM_BUILD_ROOT%_prefix/doc/* $RPM_BUILD_ROOT%_docdir/%name
rm -fr $RPM_BUILD_ROOT%_prefix/doc
mv $RPM_BUILD_ROOT%_datadir/dvi $RPM_BUILD_ROOT%_docdir/%name/dvi
mv $RPM_BUILD_ROOT%_datadir/html $RPM_BUILD_ROOT%_docdir/%name/html

cd ../
%{find_lang} %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc %_docdir/clisp
%_bindir/*
%_libdir/clisp
%{_mandir}/*/*
%endif

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 2000.03.06-3mdk
- Rewrite spec following Clisp Install documentation to be able to build this
  package on all archs
- Have an intelligent description

* Sun Jul 23 2000 Pixel <pixel@mandrakesoft.com> 2000.03.06-2mdk
- *much* cleanup, macorizaiton, BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2000.03.06-1mdk
- Update to 2000.03.06

* Tue Feb 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- rewrote most of .spec file
- updated to 1999.07.22
